Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/bin/build-packages
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2023-06-16 10:48:52 +0200
committerAndreas Baumann <mail@andreasbaumann.cc>2023-06-16 10:48:52 +0200
commit36ee6162e1911cb52fcfd21936763ede7c6f548a (patch)
tree7cb2572a7c6a97e8b8dde20c3a7d79c16d42a2b3 /bin/build-packages
parent638949747af95ad97a4144465f3ab5266e7e1b86 (diff)
build-support -n <N> should also stop now when do-not-run-build-slave exists
Diffstat (limited to 'bin/build-packages')
-rwxr-xr-xbin/build-packages8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 7a5a541..fd9e448 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -195,6 +195,14 @@ checksum=$(
while [ "${count}" -ne 0 ] && \
[ "$(calculate_script_checksum)" = "${checksum}" ]; do
+ if [ -f '/tmp/do-not-run-build-slave' ]; then
+ >&2 echo 'build slave is on halt.'
+ >&2 echo 'I will terminate the loop and stop now.'
+ # non-zero exit code to signal systemctl that the process should not
+ # be restarted automatically
+ exit 1
+ fi
+
if [ "${timeout}" -ne 0 ] && [ "${timeout}" -lt "$(date +%s)" ];
then
break